Qt API | Qtopia API | Qtopia Documentation |

# DocPropertiesDialog Class Reference

The DocPropertiesDialog class allows the user to examine attributes associated with a AppLnk object. More...

`#include <qtopia/docproperties.h>`

Inherits QDialog.

List of all member functions.

## Public Members

- DocPropertiesDialog ( AppLnk * l, QWidget * parent = 0, const char * name = 0 )
- ~DocPropertiesDialog ()
- virtual void done ( int ok )

## Detailed Description

The DocPropertiesDialog class allows the user to examine attributes associated with a AppLnk object.

The DocPropertiesDialog uses a DocPropertiesWidget to allow the user to examine and modify attributes associated with a file.

See also DocPropertiesWidget and Qtopia Classes.

## Member Function Documentation

### DocPropertiesDialog::DocPropertiesDialog ( AppLnk * l, QWidget * parent = 0, const char * name = 0 )

Constructs a DocPropertiesDialog with parent parent and name name. l is a pointer to an existing AppLnk.

### DocPropertiesDialog::~DocPropertiesDialog ()

Destroys the dialog.

### void DocPropertiesDialog::done ( int ok )`[virtual]`

If ok is TRUE, any modifications done in the dialog are applied to the associated AppLnk.

Reimplemented from QDialog.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.